/* Reset default margin and padding */
body, h1, h2, p, label, button {
  margin: 0;
  padding: 0;
}

/* Set background color and font styles */
body {
  background-color: #f5f5f5;
  font-family: Arial, sans-serif;
}

/* Header styles */
header {
  background-color: #333;
  padding: 20px;
}

h1 {
  color: #fff;
  text-align: center;
  font-size: 24px;
}

/* Main content styles */
main {
  margin: 20px auto;
  max-width: 500px;
  padding: 20px;
  background-color: #fff;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
}

form {
  margin-bottom: 20px;
}

label {
  display: block;
  margin-bottom: 10px;
  font-weight: bold;
}

input[type="file"] {
  display: block;
  margin-bottom: 20px;
}

button {
  background-color: #4CAF50;
  color: #fff;
  padding: 10px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

#progressBarContainer {
  height: 10px;
  background-color: #f1f1f1;
  margin-bottom: 20px;
}

#progressBar {
  height: 100%;
  width: 0;
  background-color: #4CAF50;
}

#compressedImageContainer {
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}

h2 {
  margin-bottom: 10px;
}

img {
  max-width: 100%;
  height: auto;
  margin-bottom: 10px;
}

a {
  display: inline-block;
  padding: 10px 20px;
  background-color: #4CAF50;
  color: #fff;
  text-decoration: none;
  border-radius: 4px;
  transition: background-color 0.3s;
}

a:hover {
  background-color: #45a049;
}